package cn.com.poc.ai_software_copyright.service;

import cn.com.poc.ai_software_copyright.query.SoftwareCopyrightQueryCondition;
import cn.com.poc.ai_software_copyright.query.SoftwareCopyrightQueryItem;
import cn.com.yict.framemax.core.service.BaseService;
import cn.com.poc.ai_software_copyright.entity.BizSoftwareCopyrightEntity;
import cn.com.yict.framemax.data.model.PagingInfo;

import java.util.Collection;
import java.util.List;

public interface BizSoftwareCopyrightService extends BaseService {

    BizSoftwareCopyrightEntity get(java.lang.Long id) throws Exception;

    List<BizSoftwareCopyrightEntity> findByExample(BizSoftwareCopyrightEntity example, PagingInfo pagingInfo)
            throws Exception;

    BizSoftwareCopyrightEntity save(BizSoftwareCopyrightEntity entity) throws Exception;

    BizSoftwareCopyrightEntity update(BizSoftwareCopyrightEntity entity) throws Exception;

    void deletedById(java.lang.Long id) throws Exception;

    List<SoftwareCopyrightQueryItem> softwareCopyrightQuery(SoftwareCopyrightQueryCondition condition,
                                                            PagingInfo pagingInfo) ;

}